import Vue from 'vue'
import Main from './Main.vue'

let MessageConstructor = Vue.extend(Main)

const Message = function(options = { source: '' }) {
  if (Vue.prototype.$isServer) return
  const instance = new MessageConstructor({
    data: options
  })
  window.messageOption = options
  instance.$mount(options.container)
}
export default Message
